<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAccidentsTable extends Migration {

	public function up()
	{
		Schema::create('accidents', function(Blueprint $table) {
			$table->increments('id')->unsigned();
            $table->integer('expertId')->nullable();
			$table->string('accidentFloor', 20)->nullable();
			$table->text('address')->nullable();
			$table->string('location', 30)->nullable();
			$table->enum('region', array('','بيروت','جبل لبنان','عكار','بعلبك الهرمل','البقاع','النبطية','الجنوب','لبنان الشمالي'))->nullable();
			$table->string('colleague', 255)->nullable();
			$table->string('policeMan', 255)->nullable();
			$table->string('roadDirection', 30)->nullable();
			$table->string('roadType', 20)->nullable();
			$table->string('roadNumbers', 1)->nullable();
			$table->string('roadWidth', 3)->nullable();
			$table->string('date', 10)->nullable();
			$table->string('time', 8)->nullable();
			$table->string('vision', 10)->nullable();
			$table->string('weatherCondition', 10)->nullable();
			$table->string('completedDate', 20);
			$table->text('freeDescription')->nullable();
			$table->text('freeResponsibilities')->nullable();
			$table->enum('status', array('new', 'missing', 'partiallyDone', 'done', 'reportConfirmed', 'completed', 'CWNR', 'suspended', 'dismissPartiallyDone'));
			$table->enum('queue', array('new', 'RTDE', 'suspended', 'missing', 'ToBePrinted', 'waitingPrintConfirm', 'closed'))->default('new');
			$table->string('timeTrack', 20)->nullable();
			$table->string('partiallyDoneDate', 10)->nullable();
			$table->enum('stage', array('new', 'Editing', 'Printing', 'Closed'))->default('new');
			$table->string('doubts', 255)->nullable();
			$table->string('damages', 255)->nullable();
			$table->text('notes')->nullable();
			$table->string('source', 40)->nullable();
			$table->boolean('eUpdate');
			$table->timestamps();
			$table->softDeletes();
            
		});
	}

	public function down()
	{
		Schema::drop('accidents');
	}
}
