<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateExpertsTable extends Migration {

	public function up()
	{
		Schema::create('experts', function(Blueprint $table) {
			$table->increments('id')->unsigned();
            $table->string('name', 30)->nullable();
            $table->string('token')->nullable();
            $table->enum('platform', array('Android','iOS'))->nullable();
			//$table->integer('cost')->nullable();
			$table->integer('application');
			$table->integer('dataEntry');
			$table->integer('printing');
			$table->integer('delivery');
			$table->integer('collection');
            $table->boolean('prePaid');
			$table->string('officePhoneNumber', 15)->nullable();
			$table->string('homeAddress', 255)->nullable();
			$table->string('officeAddress', 255)->nullable();
			$table->string('registirationNumber', 20)->nullable();
			$table->string('financialNumber', 20)->nullable();
			$table->enum('category', array('', 'test', 'real'))->nullable();
            $table->boolean('active')->default('1');
            $table->integer('reportsPrintedBy')->unsigned()->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('experts');
	}
}
