<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateCompaniesTable extends Migration {

	public function up()
	{
		Schema::create('companies', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->string('name', 100)->nullable();
			$table->string('nameENG', 100)->nullable();
			$table->double('damagePriceLow')->nullable();
			$table->double('damagePriceHigh')->nullable();
			$table->double('payAm')->nullable();
			$table->double('payPm')->nullable();
			$table->double('payAmPm')->nullable();
			$table->double('fullResponsibility');
			$table->double('bigResponsibility');
			$table->double('midResponsibility');
			$table->double('smallResponsibility');
			$table->string('payInterval', 10)->nullable();	
			$table->integer('paymentTerm')->nullable();
			$table->boolean('kashefActive');
			$table->boolean('sparepartActive');
			$table->boolean('stampSignature');
			$table->boolean('signature');
			$table->boolean('khabir_email');
			$table->boolean('kashef_email');
            $table->enum('status', array('offline', 'online'))->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('companies');
	}
}
