<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateTransactionsTable extends Migration {

	public function up()
	{
		Schema::create('transactions', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('expertId')->nullable()->unsigned();
            $table->integer('companyId')->nullable()->unsigned();
			$table->double('total')->nullable();
			$table->string('date', 10)->nullable();
			$table->enum('type', array('', 'company', 'expert', 'dataEntry', 'clearence'))->nullable();
			$table->enum('transactionType', array('', 'Draft', 'Invoice', 'partiallyPaid'))->nullable();
            $table->string('chequeNumber', 50)->nullable();
            $table->integer('cashAmount')->nullable();
            $table->integer('chequeAmount')->nullable();
            $table->integer('logId')->nullable();
            $table->foreign('expertId')->references('id')->on('experts');
            $table->foreign('companyId')->references('id')->on('companies');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('transactions');
	}
}
