<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateReceiptsTable extends Migration {

	public function up()
	{
		Schema::create('receipts', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('transactionId')->nullable()->unsigned();
			$table->integer('accidentId')->unsigned()->nullable();
			$table->integer('expertId')->nullable();
			$table->integer('insuranceCompany')->nullable();
			$table->tinyInteger('niyaba');
			$table->string('mafraza', 50)->nullable();
			$table->string('by', 100)->nullable();
			$table->integer('counter');
			$table->string('accidentRecord', 15);
			$table->string('accidentNumber', 15);
			$table->double('amount');
			$table->double('cost');
			$table->double('stamp');
			$table->tinyInteger('debit');
			$table->tinyInteger('active');
            $table->string('inActiveDate', 25)->nullable();
			$table->integer('debitInvoice')->nullable();
			$table->enum('status', array('', 'Pending', 'Paid', 'Free', 'Draft', 'selfDelivery'));
            $table->string('systemPaymentDate', 10)->nullable();
			$table->tinyInteger('printStatus');
			$table->tinyInteger('printConfirm');
			$table->string('printDate', 25)->nullable();
			$table->tinyInteger('clearence');
			$table->integer('clearenceInvoice')->nullable();
            $table->tinyInteger('undoClearence');
            $table->integer('undoClearenceInvoice')->nullable();
			$table->string('reasonAdd', 150)->nullable();
			$table->integer('redirectedTo')->nullable();
			$table->string('redirectedToName', 30)->nullable();
            $table->foreign('accidentId')->references('id')->on('accidents');
            $table->foreign('transactionId')->references('id')->on('transactions');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('receipts');
	}
}
