<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateDriversTable extends Migration {

	public function up()
	{
		Schema::create('drivers', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('accidentId')->unsigned()->nullable();
			$table->string('driverName', 100)->nullable();
			$table->string('ownerName', 100)->nullable();
			$table->integer('plateNumber')->nullable();
			$table->string('plateCode', 1)->nullable();
			$table->integer('carId')->nullable();
			$table->integer('carColorId')->nullable();
			$table->string('machineType', 30)->nullable();
			$table->string('carColor', 20)->nullable();
			$table->string('carProductionDate', 10)->nullable();
			$table->string('licenseNumber', 100)->nullable();
			$table->string('licenseIssuedDate', 10)->nullable();
			$table->string('licenseExpiryDate', 10)->nullable();
			$table->string('licenseType', 50)->nullable();
			$table->string('licenseCategory', 50)->nullable();
			$table->string('licenseSource', 50)->nullable();
			$table->enum('licenseStatus', array('', 'old', 'new'))->nullable();
			$table->string('birthDate', 10)->nullable();
			$table->string('address', 255)->nullable();
			$table->string('phoneNumber', 15)->nullable();
            $table->integer('companyId')->unsigned()->nullable();
			//$table->string('insuranceCompany', 100)->nullable();
			$table->string('policyNumber', 100)->nullable();
			$table->string('policyExpiryDate', 10)->nullable();
			$table->enum('policyType', array('','ضد الغير','خسارة كلية','شامل'))->nullable();
            $table->integer('companyId2')->unsigned()->nullable();
            //$table->string('insuranceCompany2', 100)->nullable();
			$table->string('policyNumber2', 100)->nullable();
			$table->string('policyExpiryDate2', 10)->nullable();
			$table->string('carPosition', 20)->nullable();
			$table->enum('legality', array('','بشكل نظامي','بشكل غير نظامي'))->nullable();
			$table->enum('direction', array('','الشرق','الغرب','الشمال','الجنوب','الشمال الشرقي','الشمال الغربي','الجنوب الغربي','الجنوب الشرقي'))->nullable();
			$table->text('target');
			$table->enum('route', array('','الوحيد','الشرقي','الغربي','الشمالي','الجنوبي'))->nullable();
			$table->enum('lane', array('','الوحيد','الشرقي','الغربي','الشمالي','الجنوبي'))->nullable();
			$table->string('speed', 10)->nullable();
			$table->enum('lastPositionB_A', array('','امام','خلف','يمين','يسار'))->nullable();
			$table->enum('lastpostionL_R_M', array('','الوحيد','الشرقي','الغربي','الشمالي','الجنوبي'))->nullable();
			$table->enum('road', array('','الأساسي','الفرعي'))->nullable();
			$table->enum('machineMovementF_B', array('','الامام','الخلف'))->nullable();
			$table->enum('MachinemovementL_R_D', array('','إنعطف يمينا','إنعطف شمالا'))->nullable();
			$table->string('accmodelity', 20)->nullable();
			$table->text('reason')->nullable();
			$table->text('corporalDamage')->nullable();
			$table->text('materialDamage')->nullable();
			$table->text('otherDamage')->nullable();
			$table->string('responsibility', 30)->nullable();
			$table->string('legalViolation', 255)->nullable();
            $table->foreign('accidentId')->references('id')->on('accidents');
            $table->foreign('companyId')->references('id')->on('companies');
            $table->foreign('companyId2')->references('id')->on('companies');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('drivers');
	}
}
