<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateEPersonsTable extends Migration {

	public function up()
	{
		Schema::create('epersons', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('accidentId')->unsigned()->nullable();
			$table->integer('driverId')->nullable()->unsigned();
			$table->string('name', 50)->nullable();
			$table->string('phoneNumber', 15)->nullable();
			$table->string('birthDate', 10)->nullable();
			$table->string('driverRelation', 50)->nullable();
			$table->string('guardian', 50)->nullable();
			$table->string('motherName', 50)->nullable();
			$table->string('transportation', 50)->nullable();
			$table->string('hospitalName', 50)->nullable();
			$table->string('nature', 255)->nullable();
			$table->enum('head', array('','بالغة','متوسطة','طفيفة'))->nullable();
			$table->enum('neck', array('','بالغة','متوسطة','طفيفة'))->nullable();
			$table->enum('rightArm', array('','بالغة','متوسطة','طفيفة'))->nullable();
			$table->enum('leftArm', array('','بالغة','متوسطة','طفيفة'))->nullable();
			$table->enum('chest', array('','بالغة','متوسطة','طفيفة'))->nullable();
			$table->enum('stomach', array('','بالغة','متوسطة','طفيفة'))->nullable();
			$table->enum('rightLeg', array('','بالغة','متوسطة','طفيفة'))->nullable();
			$table->enum('leftLeg', array('','بالغة','متوسطة','طفيفة'))->nullable();
			$table->enum('injuryType', array('','إصابة محددة','إصابات متفرقة','فارق الحياة'))->nullable();
			$table->text('otherDamage')->nullable();
            $table->foreign('accidentId')->references('id')->on('accidents');
            $table->foreign('driverId')->references('id')->on('drivers');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('epersons');
	}
}
