<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateERealestatesTable extends Migration {

	public function up()
	{
		Schema::create('erealestates', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('accidentId')->nullable();
			$table->string('name', 100)->nullable();
			$table->string('ownerName', 30)->nullable();
			$table->string('phoneNumber', 15)->nullable();
			$table->string('realEstateNumber', 30)->nullable();
			$table->string('type', 50)->nullable();
			$table->text('address')->nullable();
			$table->integer('insuranceCompany')->nullable();
			$table->string('policyNumber', 100)->nullable();
			$table->string('policyExpiryDate', 10)->nullable();
			$table->enum('policyType', array('','مسؤولية مدنية','CPM','CAR','LM7','خيارات أخرى'))->nullable();
			$table->string('otherpolicyType', 255)->nullable();
			$table->text('materialDamage')->nullable();
			$table->text('otherDamage')->nullable();
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('erealestates');
	}
}