<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateUsersTable extends Migration {

	public function up()
	{
		Schema::create('users', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->string('name', 30);
			$table->integer('groupId')->nullable();
			$table->integer('companyId')->nullable();
			$table->integer('expertId')->unsigned()->nullable();
			$table->integer('subCompany')->nullable();
			$table->integer('kashefId')->nullable();
			$table->string('username', 30)->unique();
			$table->string('password', 100);
			$table->string('remember_token', 100)->nullable();
			$table->string('email', 40)->nullable();
			$table->string('phone', 12)->nullable();
			$table->string('type', 100)->nullable();
			//$table->string('employeeType', 100)->nullable();
            $table->enum('employeeType', array('employee','company','freelancer'))->nullable();
           // $table->string('freelancerSections', 35)->nullable();
			$table->integer('failedAttempts')->default('0');
			$table->integer('blocked')->default('0');
			$table->foreign('expertId')->references('id')->on('experts');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('users');
	}
}
