<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateFreelancerdataentryaccidentsTable extends Migration {

	public function up()
	{
		Schema::create('freelancerdataentryaccidents', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('accidentId')->nullable()->unsigned();
			$table->integer('receiptId')->nullable()->unsigned();
			$table->integer('reservedBy')->nullable()->unsigned();
			$table->bigInteger('countDownDate')->nullable();
			$table->string('finishTime', 40)->nullable();
			$table->string('status', 50);
			$table->bigInteger('milisecondFinsihTime')->nullable();
			$table->tinyInteger('evaluation')->nullable();
			$table->integer('amount')->nullable();
			$table->enum('paymentStatus', array('notPaid', 'Paid'))->nullable();
			$table->integer('transactionId')->nullable();
			$table->enum('type', array('dataEntry', 'doubleCheck', 'print'))->nullable();
            $table->foreign('accidentId')->references('id')->on('accidents');
            $table->foreign('receiptId')->references('id')->on('receipts');
            $table->foreign('reservedBy')->references('id')->on('users');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('freelancerdataentryaccidents');
	}
}
