<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateNotificationsTable extends Migration {

	public function up()
	{
		Schema::create('notifications', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('accidentId')->nullable()->unsigned();
			$table->enum('type', array('', 'Report', 'Payment', 'free', 'Note'))->nullable();
			$table->text('freeParagraph')->nullable();
			//$table->enum('status', array('', 'done', 'suspended'))->nullable();
			//$table->enum('dismissStatus', array('', 'done', 'pending'))->nullable();
            $table->foreign('accidentId')->references('id')->on('accidents');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('notifications');
	}
}
