<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateSettingsTable extends Migration {

	public function up()
	{
		Schema::create('settings', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('stamp')->nullable();
			$table->double('A');
			$table->double('B');
			$table->double('C');
			$table->double('D');
			$table->integer('defaultPay')->nullable();
			$table->integer('doubleCheckPay')->nullable();
			$table->integer('printPay')->nullable();
			$table->integer('application')->nullable();
			$table->integer('dataEntry')->nullable();
			$table->integer('printing')->nullable();
			$table->integer('delivery')->nullable();
			$table->integer('collection')->nullable();
			$table->tinyInteger('evaluationPay');
			$table->tinyInteger('maintenance');
			$table->string('versionAndroid',6);
			$table->string('versionIOS',6);
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('settings');
	}
}
