<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateWitnessesTable extends Migration {

	public function up()
	{
		Schema::create('witnesses', function(Blueprint $table) {
			$table->increments('id')->unsigned();
            $table->integer('accidentId')->unsigned()->nullable();
			$table->string('name', 100)->nullable();
			$table->string('phoneNumber', 15)->nullable();
			$table->string('idNumber', 15)->nullable();
			$table->string('birthDate', 10)->nullable();
			$table->string('address', 255)->nullable();
			$table->string('announcement', 100)->nullable();
            $table->foreign('accidentId')->references('id')->on('accidents');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('witnesses');
	}
}
