<?php

use Illuminate\Database\Migrations\Migration;
use Illuminate\Database\Schema\Blueprint;

class CreateAlertsTable extends Migration {

	public function up()
	{
		Schema::create('alerts', function(Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('receiptId')->nullable()->unsigned();
			$table->enum('type', array('', 'Collection', 'Delivery'))->nullable();
			$table->boolean('confirm');
            $table->foreign('receiptId')->references('id')->on('receipts');
			$table->timestamps();
			$table->softDeletes();
		});
	}

	public function down()
	{
		Schema::drop('alerts');
	}
}
