<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateLogsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('logs', function (Blueprint $table) {
            $table->increments('id')->unsigned();
            $table->integer('userId')->unsigned();
			$table->integer('accidentId')->unsigned()->nullable();
			$table->integer('receiptId')->unsigned()->nullable();
			$table->integer('transactionId')->unsigned()->nullable();
			$table->string('action', 150)->nullable();
			$table->foreign('userId')->references('id')->on('users');
			$table->foreign('accidentId')->references('id')->on('accidents');
			$table->foreign('receiptId')->references('id')->on('receipts');
			$table->foreign('transactionId')->references('id')->on('transactions');
            $table->timestamps();
			$table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('logs');
    }
	
}
