<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreatePagesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('pages', function (Blueprint $table) {
            $table->increments('id')->unsigned();
			$table->string('name', 40)->nullable();
			$table->string('section', 40)->nullable();
            $table->enum('system', array('system','freelancer','company'))->nullable();
            $table->boolean('r')->default('0');
			$table->boolean('rw')->default('0');
			$table->boolean('admin')->default('0');
            $table->timestamps();
			$table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('pages');
    }
}
