<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateContactTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     *///
    public function up()
    {
        Schema::create('contact', function (Blueprint $table) {
            $table->increments('id')->unsigned();
            $table->integer('companyBranchId')->unsigned();
			$table->string('name', 20)->nullable();
			$table->string('position', 20)->nullable();
			$table->string('email', 20)->nullable();
			$table->string('mainPhone', 15)->nullable();
			$table->string('officePhone', 15)->nullable();
			$table->string('mobilePhone', 15)->nullable();
			$table->string('otherPhone', 15)->nullable();
			$table->string('faxNumber', 15)->nullable();
			$table->foreign('companyBranchId')->references('id')->on('branches');
            $table->timestamps();
			$table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('contact');
    }
}
