<?php

use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CompanyPayments extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('companyPayments', function (Blueprint $table) {
            $table->increments('id')->unsigned();
            $table->integer('companyId')->unsigned()->nullable();
            $table->string('paymentNum',20)->nullable();
            $table->integer('TotalAmount');
            $table->integer('status')->nullable();
            $table->integer('numOfPayments')->nullable();
            $table->enum('paymentMethod', array('', 'cash', 'cheque'));
            $table->string('bankName', 15)->nullable();
            $table->string('serialNumber', 75)->nullable();
            $table->string('valueDate', 10)->nullable();
            $table->string('referenceId', 20)->nullable();
            $table->date('paymentDate');
            $table->integer('collectedBy')->nullable();
            $table->foreign('companyId')->references('id')->on('companies')->onDelete('cascade');
            $table->timestamps();
            $table->softDeletes();
        });
    }



    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        //
    }
}
