<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateCompanyPaymentsRecordsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('paymentsRecords', function (Blueprint $table) {
            $table->increments('id')->unsigned();
            $table->integer('receiptId')->unsigned()->nullable();
            $table->integer('paymentId')->nullable()->unsigned();
            $table->foreign('receiptId')->references('id')->on('receipts');
            $table->foreign('paymentId')->references('id')->on('companyPayments');
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('company_payments_records');
    }
}
