<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateDeliverysectionTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('deliverySectiones', function (Blueprint $table) {
			$table->increments('id')->unsigned();
			$table->integer('receiptId')->unsigned();
            $table->integer('companyInvoiceId')->unsigned()->nullable();
			$table->enum('deliveryStatus', array('','Pending','Ready','PreDelivery','Delivered'));
			$table->string('deliveryDate', 20)->nullable();
			$table->string('readyDate', 20)->nullable();
            $table->integer('flowId')->nullable();
			$table->foreign('receiptId')->references('id')->on('receipts');
			$table->foreign('companyInvoiceId')->references('id')->on('transactions');
			$table->timestamps();
			$table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('deliverysection');
    }
}
