<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRecoveryTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('recovery', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('expertId')->unsigned()->nullable();
            $table->integer('companyDId')->unsigned()->nullable();
            $table->integer('receiptId')->unsigned()->nullable();
            $table->integer('recoveredIn')->unsigned()->nullable();
            $table->integer('amount');
            $table->enum('type', array('discount', 'extra', 'rejected','selfPayment'));
            $table->string('rejectedDate',20)->nullable();
            $table->text('comment')->nullable();
            $table->boolean('confirm');
            $table->foreign('expertId')->references('id')->on('experts');
            $table->foreign('companyDId')->references('id')->on('companyPaymentsDetails');
            $table->foreign('recoveredIn')->references('id')->on('transactions');
            $table->foreign('receiptId')->references('id')->on('receipts');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('recovery');
    }
}
