<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateClearanceTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('clearance', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('transactionId')->unsigned()->nullable();
            $table->integer('amount');
            $table->integer('paidIn')->unsigned()->nullable();
            $table->foreign('transactionId')->references('id')->on('transactions');
            $table->foreign('paidIn')->references('id')->on('transactions');
            $table->softDeletes();
            $table->timestamps();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('clearance');
    }
}
