<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateAccidentFilesTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('accident_files', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('accidentId')->unsigned()->nullable();
            $table->foreign('accidentId')->references('id')->on('accidents');
            $table->integer('fileId')->unsigned()->nullable();
            $table->foreign('fileId')->references('id')->on('files');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('accident_files');
    }
}
