<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateRequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('requests', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('callCenterId')->nullable();
            $table->string('name' ,30)->nullable();
            $table->string('phoneNumber' ,20)->nullable();
            $table->string('location' ,255)->nullable();
            $table->string('address' ,255)->nullable();
            $table->string('accidentNumber' ,255)->nullable();
            $table->string('accidentNumber2' ,255)->nullable();
            $table->string('plateNumber' ,20)->nullable();
            $table->string('plateCode' ,5)->nullable();
            $table->integer('companyId')->nullable();
            $table->string('policyNumber' ,30)->nullable();
            $table->integer('companyId2')->nullable();
            $table->string('policyNumber2' ,30)->nullable();
            $table->enum('status', array('pending', 'completed','aborted'))->default('pending');
            $table->date('completedDate')->nullable();
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('requests');
    }
}
