<?php

use Illuminate\Support\Facades\Schema;
use Illuminate\Database\Schema\Blueprint;
use Illuminate\Database\Migrations\Migration;

class CreateExpertrequestsTable extends Migration
{
    /**
     * Run the migrations.
     *
     * @return void
     */
    public function up()
    {
        Schema::create('expertrequests', function (Blueprint $table) {
            $table->increments('id');
            $table->integer('requestId')->nullable();
            $table->integer('expertId')->nullable();
            $table->integer('outsideExpertId')->nullable();
            $table->string('comment',255)->nullable();
            $table->text('notes')->nullable();
            $table->enum('status', array('pending', 'expired', 'confirmed','cancelled','success'))
                ->default('pending');
            $table->date('successDate')->nullable();
            $table->enum('source', array('App', 'Call'))->default('App');
            $table->timestamps();
            $table->softDeletes();
        });
    }

    /**
     * Reverse the migrations.
     *
     * @return void
     */
    public function down()
    {
        Schema::dropIfExists('expertrequests');
    }
}
